MavenPomContributor (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.api.publish.maven

## Interface MavenPomContributor

-     @Incubating
      public interface MavenPomContributor

  A contributor of a Maven publication.
  Since:
    4.8
  See Also:
    `MavenPom`, `MavenPomContributorSpec`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<java.lang.String>` | `getEmail​()` | The email
    `Property<java.lang.String>` | `getName​()` | The name of this contributor.
    `Property<java.lang.String>` | `getOrganization​()` | The organization name of this contributor.
    `Property<java.lang.String>` | `getOrganizationUrl​()` | The organization's URL of this contributor.
    `Property<java.util.Map<java.lang.String,java.lang.String>>` | `getProperties​()` | The properties of this contributor.
    `SetProperty<java.lang.String>` | `getRoles​()` | The roles of this contributor.
    `Property<java.lang.String>` | `getTimezone​()` | The timezone of this contributor.
    `Property<java.lang.String>` | `getUrl​()` | The URL of this contributor.

- - ### Method Detail

    - #### getName

          Property<java.lang.String> getName​()

      The name of this contributor.

    - #### getEmail

          Property<java.lang.String> getEmail​()

      The email

    - #### getUrl

          Property<java.lang.String> getUrl​()

      The URL of this contributor.

    - #### getOrganization

          Property<java.lang.String> getOrganization​()

      The organization name of this contributor.

    - #### getOrganizationUrl

          Property<java.lang.String> getOrganizationUrl​()

      The organization's URL of this contributor.

    - #### getRoles

          SetProperty<java.lang.String> getRoles​()

      The roles of this contributor.

    - #### getTimezone

          Property<java.lang.String> getTimezone​()

      The timezone of this contributor.

    - #### getProperties

          Property<java.util.Map<java.lang.String,java.lang.String>> getProperties​()

      The properties of this contributor.